Debcheck

 

Back to QA

Debcheck - bookworm
 Summary
 All packages (light)

main only
 Broken PreDepends
 Broken Depends
 Broken Recommends
 Broken Suggests

 HalfBroken PreDepends
 HalfBroken Depends
 HalfBroken Recommends
 HalfBroken Suggests

 Build-Depends
 HalfBroken Build-Depends
 Malformed Build-Depends

 OldLibs
 Priority

 Old Standards-Version
 No Standards-Version
 Wrong Standards-Version Syntax

other
 Depends Main on !Main

all sections
 Broken PreDepends
 Broken Depends
 Broken Recommends
 Broken Suggests

 HalfBroken PreDepends
 HalfBroken Depends
 HalfBroken Recommends
 HalfBroken Suggests

 Build-Depends
 HalfBroken Build-Depends
 Malformed Build-Depends

 OldLibs
 Priority

 Old Standards-Version
 No Standards-Version
 Wrong Standards-Version Syntax

 
   
Distribution: sid bookworm

Problems for source package gcc-12

Current Source Version: 12.1.0-2
Current Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Section: main
BTS entry: https://bugs.debian.org/src:gcc-12

Binary Package: gcc-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gcc-12

Relationships

Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armhf.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on amd64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mips64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on s390x.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on arm64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on i386.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on ppc64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mipsel.

Binary Package: libgomp-plugin-nvptx1 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/libgomp-plugin-nvptx1

Half Broken Relationships

(not necessarily bugs)

Package has a Suggests on libnvidia-tesla-cuda1 which cannot be satisfied on amd64. At least one of libcuda1 | libnvidia-tesla-cuda1 | libcuda1-any can be satisfied however.
Package has a Suggests on libnvidia-tesla-cuda1 which cannot be satisfied on ppc64el. At least one of libnvidia-tesla-cuda1 | libcuda1-any can be satisfied however.

Binary Package: gobjc++-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gobjc++-12

Relationships

Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on arm64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on i386.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on ppc64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mipsel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armhf.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on amd64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mips64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on s390x.

Binary Package: gfortran-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gfortran-12

Relationships

Package has a Suggests on gfortran-12-doc which cannot be satisfied on mipsel.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on armel.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on ppc64el.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on i386.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on arm64.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on s390x.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on mips64el.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on armhf.
Package has a Suggests on gfortran-12-doc which cannot be satisfied on amd64.

Binary Package: g++-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/g++-12

Relationships

Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on s390x.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mips64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on amd64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armhf.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on ppc64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mipsel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on i386.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on arm64.

Binary Package: gccgo-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gccgo-12

Relationships

Package has a Suggests on gccgo-12-doc which cannot be satisfied on mips64el.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on amd64.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on armhf.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on s390x.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on arm64.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on mipsel.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on ppc64el.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on armel.
Package has a Suggests on gccgo-12-doc which cannot be satisfied on i386.

Binary Package: gnat-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gnat-12

Relationships

Package has a Suggests on gnat-12-sjlj which cannot be satisfied on s390x.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on mips64el.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on amd64.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on armhf.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on ppc64el.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on armel.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on mipsel.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on i386.
Package has a Suggests on gnat-12-sjlj which cannot be satisfied on arm64.
Package has a Suggests on gnat-12-doc which cannot be satisfied on arm64.
Package has a Suggests on gnat-12-doc which cannot be satisfied on armel.
Package has a Suggests on gnat-12-doc which cannot be satisfied on ppc64el.
Package has a Suggests on gnat-12-doc which cannot be satisfied on mipsel.
Package has a Suggests on gnat-12-doc which cannot be satisfied on i386.
Package has a Suggests on gnat-12-doc which cannot be satisfied on mips64el.
Package has a Suggests on gnat-12-doc which cannot be satisfied on armhf.
Package has a Suggests on gnat-12-doc which cannot be satisfied on amd64.
Package has a Suggests on gnat-12-doc which cannot be satisfied on s390x.

Binary Package: gobjc-12 (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/gobjc-12

Relationships

Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on arm64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on i386.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on ppc64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mipsel.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on armhf.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on amd64.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on mips64el.
Package has a Suggests on gcc-12-doc (>= 12) which cannot be satisfied on s390x.

Binary Package: libgccjit-12-dev (Version: 12.1.0-2)

BTS entry: https://bugs.debian.org/libgccjit-12-dev

Relationships

Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on arm64.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on i386.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on mipsel.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on armel.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on ppc64el.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on armhf.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on amd64.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on mips64el.
Package has a Suggests on libgccjit-12-dbg which cannot be satisfied on s390x.


Last updated: Wed Jun 29 15:26:31 2022

DO NOT MASS FILE BUG REPORTS
GET A CONSENSUS ON debian-devel@lists.debian.org BEFORE MASS FILING BUGS